<div class="example-container">
  <mat-toolbar color="primary">
    <button mat-icon-button (click)="sidenav.toggle()">
      <mat-icon *ngIf="!sidenav.opened">menu</mat-icon>
      <mat-icon *ngIf="sidenav.opened">close</mat-icon>
    </button>

    <h1>Encuestas Inc.</h1>

    <span class="example-spacer"></span>

    <button mat-icon-button [matMenuTriggerFor]="menu">
      <mat-icon>more_vert</mat-icon>
    </button>

    <mat-menu #menu="matMenu">
      <button mat-menu-item routerLink="/app/about">
        <mat-icon>info</mat-icon>
        <span>Acerca De</span>
      </button>
      <button mat-menu-item routerLink="/logout">
        <mat-icon>exit_to_app</mat-icon>
        <span>Cerrar Sesi&oacute;n</span>
      </button>
    </mat-menu>
  </mat-toolbar>

  <mat-sidenav-container class="example-sidenav-container">
    <mat-sidenav #sidenav mode="side" [(opened)]="opened" style="width: 200px">
      <img src="assets/mitocode.jpg" width="200">
      <mat-divider></mat-divider>

      <button mat-menu-item (click)="sidenav.toggle()" routerLink="/app/encuesta" style="cursor: pointer">
        <mat-icon>location_on</mat-icon>
        <span>Encuestar</span>
      </button>
      <mat-divider></mat-divider>



          <button mat-menu-item (click)="sidenav.toggle()" routerLink="/app/admin/encuesta" style="cursor: pointer" *ngIf="isAdmin">
            <span>Ver Todas las Encuestas</span>
          </button>
          <mat-divider></mat-divider>
         

    
    </mat-sidenav>

    <mat-sidenav-content>
      <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>